%define oname   xpath

Name:       ruby-%{oname}
Version:    0.1.4
Release:    %mkrel 4
Summary:    RDoc produces HTML and command-line documentation for Ruby projects
Group:      Development/Ruby
License:    Ruby License
URL:        http://rdoc.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the +rdoc+ and +ri+ tools for generating and displaying online
documentation. See RDoc for a description of RDoc's markup and basic use.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
# Get rid of percentage signs in filenames which the Mageia build system
# does not like.
find "$RPM_BUILD_ROOT" -name '*%*' -type f | perl -lne 'my $s = $_; $s =~ tr/%/_/; rename ($_, $s);'

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.1.4-4.mga3
+ Revision: 396624
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.1.4-3.mga3
+ Revision: 381630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.1.4-2.mga3
+ Revision: 314103
- rebuild for new ruby

* Fri Jun 08 2012 shlomif <shlomif> 0.1.4-1.mga3
+ Revision: 257811
- Fix percentages in filename
- Got it to build
- imported package ruby-xpath

